# Validate an address

Validates the format of an address for a card order. Make sure to follow country-specific address fields and validation as described in the [card address validation guide](/guides/developer/api-guides/card-address-validation).
For card creation, the `address` requirement depends on the card type:
- **Physical Cards (Required)**: Used as the delivery address to ship the card and for AVS checks in countries where required.
- **Virtual Cards (Optional)**: If provided, this acts as the billing address. If omitted, the profile address is used as the fallback. In either scenario, the address is used for AVS checks in countries where required.

We do not support PO BOX addresses.

Endpoint: POST /v3/spend/address/validate
Security: UserToken

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `firstLine` (string)
    Card holder's address (max 30 characters).
    Example: 56 Shoreditch High St

  - `secondLine` (string | null)
    Card holder's address (max 30 characters).
    Example: The Tea Bldg

  - `thirdLine` (string | null)
    Card holder's address (max 30 characters).
    Example: null

  - `city` (string)
    Card holder's city (max 30 characters).
    Example: London

  - `postCode` (string)
    Card holder's postal code (max 10 characters).
    Example: E1 6JJ

  - `state` (string | null)
    Card holder's state (max 30 characters).
    Example: null

  - `country` (string)
    Card holder's country (ISO 3166-1 alpha-2, max 2 characters).
    Example: GB

## Response 200 fields (application/json):

  - `errors` (array)
    Collection of validation errors. Empty if address is valid.

  - `errors.field` (string)
    The field that failed validation.
    Example: postCode

  - `errors.message` (string)
    Description of the validation error.
    Example: Please enter a valid postcode

